<?php 
require_once "global.php";

global $conexion2;
$conexion2=new mysqli(DB_HOST1,DB_USERNAME1,DB_PASSWORD1,DB_NAME1);

mysqli_query($conexion2, 'SET NAMES "'.DB_ENCODE1.'"');

//muestra posible error en la conexion
if (mysqli_connect_errno()) {
	printf("Falló en la conexion con la base de datos: %s\n",mysqli_connect_error());
	exit();
}

if (!function_exists('ejecutarConsulta')) {
	Function ejecutarConsulta($sql){ 
		global $conexion21;
		$conexion21=new mysqli(DB_HOST1,DB_USERNAME1,DB_PASSWORD1,DB_NAME1);
		mysqli_query($conexion21, 'SET NAMES "'.DB_ENCODE1.'"');
		$query=$conexion21->query($sql);
		return $query;
	}

	function ejecutarConsultaSimpleFila($sql){
		global $conexion21;
		$conexion21=new mysqli(DB_HOST1,DB_USERNAME1,DB_PASSWORD1,DB_NAME1);
		mysqli_query($conexion21, 'SET NAMES "'.DB_ENCODE1.'"');
		$query=$conexion21->query($sql);
		$row=$query->fetch_assoc();
		return $row;
	}

	function ejecutarConsultaSimpleFila2($sql){
		global $conexion21;
		$conexion21=new mysqli(DB_HOST1,DB_USERNAME1,DB_PASSWORD1,DB_NAME1);
		mysqli_query($conexion21, 'SET NAMES "'.DB_ENCODE1.'"');
		$query=$conexion21->query($sql);
		$row  = $query->fetch_all(MYSQLI_ASSOC);
		return $row;
	}

	function ejecutarConsulta_retornarID($sql){
		global $conexion21;
		$conexion21=new mysqli(DB_HOST1,DB_USERNAME1,DB_PASSWORD1,DB_NAME1);
		mysqli_query($conexion21, 'SET NAMES "'.DB_ENCODE1.'"');
		$query=$conexion21->query($sql);
		return $conexion21->insert_id;
	}

	function ejecutarConsultaSimpleFilaParametros($sql,$codigobarra){
		global $conexion21;
		$conexion21=new mysqli(DB_HOST1,DB_USERNAME1,DB_PASSWORD1,DB_NAME1);
		mysqli_query($conexion21, 'SET NAMES "'.DB_ENCODE1.'"');
		
		$query = $conexion21->prepare($sql);
		/* Asignamos el parámetro al valor enviado por POST */
		$query->bindValue(':codigobarra',$codigobarra,PDO::PARAM_STR);
		/* Ejecutamos la consulta */
		$query->execute();
		/* Devolvemos el registro obtenido como respuesta en JSON */
		$row=$query->fetch_assoc();
		return $row;
	}

	function limpiarCadena($str){
		global $conexion21;
		$conexion21=new mysqli(DB_HOST1,DB_USERNAME1,DB_PASSWORD1,DB_NAME1);
		mysqli_query($conexion21, 'SET NAMES "'.DB_ENCODE1.'"');
		$str=mysqli_real_escape_string($conexion21,trim($str));
		return htmlspecialchars($str);
	}
}

 ?>